<div class="well-selector">
  <ng-container *ngIf="selectedWell && !changeWell; else searchWell">
    <gng-well-info [wellData]="selectedWell" class="well-selector__block"></gng-well-info>
    <button mat-flat-button color="primary" (click)="enableWellSelection()">Change Well</button>
  </ng-container>

  <ng-template #searchWell>
    <mat-card class="well-selector__block">
      <mat-card-title>Search a well</mat-card-title>
      <mat-card-subtitle>(you know well name)</mat-card-subtitle>
      <gng-well-search-basic
        *ngIf="!advancedSearchEnabled"
        (wellSelected)="wellSelected($event)"
      ></gng-well-search-basic>
      <div class="advanced-search" (click)="toggleAdvancedSearch()">
        {{ advancedSearchEnabled ? 'Basic' : 'Advanced' }} search
      </div>
      <gng-well-search-advanced
        *ngIf="advancedSearchEnabled"
        (wellSelected)="wellSelected($event)"
      ></gng-well-search-advanced>
    </mat-card>

    <div class="well-selector__block separator-or">OR</div>

    <mat-card class="well-selector__block">
      <mat-card-title>Sandbox mode</mat-card-title>
      <mat-card-subtitle>(there is no well yet)</mat-card-subtitle>

      <gng-well-custom-data (dataFilled)="wellSelected($event)"></gng-well-custom-data>
    </mat-card>

    <button mat-flat-button></button>
  </ng-template>
</div>
